# Uses of Enum Class
org.apache.sling.api.request.SlingRequestEvent.EventType

Packages that use SlingRequestEvent.EventType
Package
Description
org.apache.sling.api.request

## Uses of SlingRequestEvent.EventType in org.apache.sling.api.request

Methods in org.apache.sling.api.request that return SlingRequestEvent.EventType
Modifier and Type
Method
Description
`SlingRequestEvent.EventType`
SlingRequestEvent.`getType()`
Deprecated.
get the type of the event, eg.
`static SlingRequestEvent.EventType`
SlingRequestEvent.EventType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SlingRequestEvent.EventType[]`
SlingRequestEvent.EventType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sling.api.request with parameters of type SlingRequestEvent.EventType
Modifier
Constructor
Description
``
`SlingRequestEvent(javax.servlet.ServletContext sc, javax.servlet.ServletRequest request, SlingRequestEvent.EventType type)`
Deprecated.